Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

QColorDialog giving errors under GLIb



  • Running QT 5.13.2 under fedora 32 x86-64. Getting the following grouping of warnings/error related to my QColorDialog's:

    (NoClickMain:23757): GLib-GObject-WARNING **: 05:57:06.314: ../gobject/gsignal.c:2617: signal 'update-preview' is invalid for instance '0x11802a0' of type 'GtkColorChooserDialog'
    
    (NoClickMain:23757): GLib-GObject-WARNING **: 05:57:06.314: invalid cast from 'GtkColorChooserDialog' to 'GtkFileChooser'
    
    (NoClickMain:23757): Gtk-CRITICAL **: 05:57:06.314: gtk_file_chooser_set_preview_widget: assertion 'GTK_IS_FILE_CHOOSER (chooser)' failed
    ``
    The QColorDialog's are, nonetheless, working fine, so am tempted to just ignore ...

  • Lifetime Qt Champion

    Hi,

    Is this the Qt version provide with your distribution ?



  • @SGaist Yes, this is the QT version provided by my distro.


Log in to reply